Bug 215943 - crashes on s390x and ia64 when using #anchor link
crashes on s390x and ia64 when using #anchor link
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: elinks (Show other bugs)
4.4
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 09:23 EST by Jan Hutař
Modified: 2010-02-22 07:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-22 07:33:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
elinks dies with this message (1.49 KB, text/plain)
2006-11-16 09:23 EST, Jan Hutař
no flags Details
backtrace (1.51 KB, text/plain)
2006-11-16 09:28 EST, Jan Hutař
no flags Details
you can test bug with this page - use "go to test section" link (444 bytes, text/html)
2006-11-16 09:31 EST, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2006-11-16 09:23:50 EST
Description of problem:
When I use (= hits [Ente] or [right arrow] while on) #anchor link, elinks dies.

Version-Release number of selected component (if applicable):
elinks-0.9.2-3.2.ia64

How reproducible:
always

Steps to Reproduce:
1. # elinks www.wachovia.com
2. if some "welcome" or "go to url" dialog appears, get rid of it
3. www.wachowia.com is now loaded, link "login" is selected
4. press [Enter] or [right arrow] to use it
5. if elinks dies, it is a bug
 
Actual results:
elinks dies with message in attached die-message.txt file

Expected results:
elinks jumps to anchor

Additional info:
backtrace and simple test page attached
Comment 1 Jan Hutař 2006-11-16 09:23:50 EST
Created attachment 141370 [details]
elinks dies with this message
Comment 2 Jan Hutař 2006-11-16 09:28:28 EST
Created attachment 141371 [details]
backtrace

Backtrace get with:
# gdb programm PID_OF_ELINKS
(gdb) continue
* use link in elinks
(gdb) bt
Comment 3 Jan Hutař 2006-11-16 09:31:07 EST
Created attachment 141372 [details]
you can test bug with this page - use "go to test section" link
Comment 4 Jan Hutař 2006-11-16 10:05:00 EST
Tested on RHEL5 and seems OK (bug NOT present)

# rpm -q elinks
elinks-0.11.1-5
# uname -a
Linux some.hostname 2.6.18-1.2732.el5 #1 SMP Tue Oct 17 18:22:28 EDT 2006 s390x 
s390x s390x GNU/Linux
Comment 5 RHEL Product and Program Management 2008-02-01 14:11:22 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 6 Ondrej Vasik 2010-02-22 07:33:37 EST
Given how late is RHEL-4 in release cycle, I'm closing that bugzilla WONTFIX - as it is not going to be fixed in RHEL-4. This is the only opened unfixed RHEL-4 bz against elinks and therefore update of elinks is not planned.

Note You need to log in before you can comment on or make changes to this bug.